明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 648|回复: 2

[提问] 怎么修改块内线段、文字

[复制链接]
发表于 2015-5-3 11:57 | 显示全部楼层 |阅读模式
怎么修改块内线段、文字?
发表于 2015-5-3 12:52 | 显示全部楼层
右键,在位编辑
发表于 2015-5-3 13:21 | 显示全部楼层
[code="lisp] (setq en(car(entsel)))
;
(setq en_obj(vlax-ename->vla-object en))
;
(setq blk_name(vla-get-Name en_obj))
;
(set blk(vla-Item *BLKS* blk_name))
;进去改[/code]

点评

nentsel  发表于 2015-5-3 15:40
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-11-21 01:30 , Processed in 0.189819 second(s), 31 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表